#include <sys/types.h>
#include <stdio.h>
#include <signal.h>

/* switcher.c - switcher core */
void add_request (const char *runset_name, uid_t user);
void remove_request (const char *runset, uid_t user);
void cancel_requests (const char *name);
void cancel_all (void);
int update (void);
void reap (pid_t process);
void dump_requests (FILE * stream, const char *name);
void dump_all (FILE * stream);

/* control.c - setup and handle commands */
extern sigset_t nonblocking;
